#!/bin/bash

# usage: $0 [ PANDOC_OPTIONS ]

# for markdown_strict keep only src= and alt=
# adding class=, title= and other attributes results in HTML spilling into markdown

source "${BASH_SOURCE%/*}/shared.sh"
# @vim@ filter the current line with our tidy config + indent
# .!sh -c ". \"%:h/../builder/setup_tidy.sh\"; tidy \$tidy_options --indent yes --indent-spaces 1"

show_AST html \
'<img alt="ALT" src="IMG">' 1 "$@" &

show_AST html \
'<img alt="ALT" src="IMG" class="CLASS">' 2 "$@" &

# mdview 2023.04 can't render this
show_AST html \
'<img alt="ALT" src="IMG" title="TITLE">' 3 "$@" &

