Use the scripts in this folder to experiment with pandoc's Abstract Syntax Tree and Type Model when pandoc converts text from/to formats.
Files are named by their Pandoc Type name.

Typically we need to convert from HTML (`html`) to **mdview** markdown (`markdown_strict`).

Function `show_AST` in ./shared.sh shows the conversion of an input text formatted as HTML (or any 'from' format) to the following 'to' formats:
* `native` - pandoc AST
* `markdown` - pandoc Markdown
* variable `mdview_markdown` - cf `quirks.sh` - typically `markdown_strict`, that is, the original Markdown spec.
* `stringify` - `pandoc.utils.stringify(mdview_markdown)`

Note that mdview can render a bit less and a bit more than `markdown_strict`.

step - 2023-08-16
