# This file is sourced, not run

# black-box tests for html5_to_ihtml.sh

# test numbers refer to numbered "case"s in ./html5_to_ihtml.gawk

# --------------------------------------------------------------------------- #

printf '%s\n' '1.1 internal <a href="boot-options.html#waitdev">10</a> bla' \
	'1.2 internal <a href="#waitdev">20</a> bla' \
	'1.3 external <a href="https://boot-options.html#waitdev">30</a> bla' \
	> "$in_dir/aaa_test_001.html"

# --------------------------------------------------------------------------- #

cat << \EOF > "$in_dir/aaa_test_002.html"
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
<!-- Replacing <ol> to <ul> in html5_to_ihtml.gawk -->
<html>
  <head>
    <title>ordered list work-around</title>
  </head>
  <body>
    <ol class="C"> <li>ol li 1</li> <li>ol li 2</li class="C"> </ol>
<!--
    <ol class="C">
      <li>ol li 1</li>
      <li class="C">ol li 2</li>
    </ol>
-->
    <ol class="C"> <li>ol li 1 <ol class="C"> <li>ol ol li 1</li> <li class="C">ol ol li 2</li> </ol> </li> <li class="C">ol li 2</li> </ol>
<!--
    <ol class="C">
      <li>ol li 1
        <ol class="C">
          <li>ol ol li 1</li>
          <li class="C">ol ol li 2</li>
        </ol>
      </li>
      <li class="C">ol li 2</li>
    </ol>
-->
    <ol class="C"> <li>ol li 1 <ol class="C"> <li>ol ol li 1</li> <li class="C">ol ol li 2</li> </ol> </li> <li class="C">ol li 2 <ul class="C"> <li>ol ul li 1</li> <li class="C">ol ul li 2</li> </ul> </li> <li class="C">ol li 3 <ul class="C"> <li>ol ul li 1 <ol> <li>ol ul ol li 1</li> <li>ol ul ol li 2</li> </ol> </li> <li class="C">ol ul li 2</li> </ul> </li> </ol>
<!--
    <ol class="C">
      <li>ol li 1
        <ol class="C">
          <li>ol ol li 1</li>
          <li class="C">ol ol li 2</li>
        </ol>
      </li>
      <li class="C">ol li 2
        <ul class="C">
          <li>ol ul li 1</li>
          <li class="C">ol ul li 2</li>
        </ul>
      </li>
      <li class="C">ol li 3
        <ul class="C">
          <li>ol ul li 1
            <ol>
              <li>ol ul ol li 1</li>
              <li>ol ul ol li 2</li>
            </ol>
          </li>
          <li class="C">ol ul li 2</li>
        </ul>
      </li>
    </ol>
-->
  </body>
</html>
<!--
<html>
  <head>
  </head>
  <body>
  </body>
</html>
-->
EOF

# --------------------------------------------------------------------------- #

