#!/bin/sh

# usage: $0 [ -L PANDOC_OPTIONS ]


source "${BASH_SOURCE%/*}/shared.sh"
# @vim@ filter the current line with our tidy config + indent
# .!sh -c ". \"%:h/../builder/setup_tidy.sh\"; tidy \$tidy_options --indent yes --indent-spaces 1"

export mdview_markdown
export mdview_enable_gettext_support

nopot='<!DOCTYPE html>
<html><head><title>test</title></head><body>
1.1 expect %%nopot before and after the bullet list
<ul class="mdview-nopot">
	<li> not to be
	</li><li> translated
</li></ul>
<br>
1.2 expect %%nopot before and after the next paragraph
<p class="mdview-nopot">Not to be translated</p>
</body></html>'

show_AST html "$nopot" 1 "$@" &

show_AST html "$nopot" 2 -L "${0%/*}/../builder/pandoc_block.lua" "$@" &
