#!/bin/sh

# usage: $0 [ -L PANDOC_OPTIONS ]


source "${BASH_SOURCE%/*}/shared.sh"
# @vim@ filter the current line with our tidy config + indent
# .!sh -c ". \"%:h/../builder/setup_tidy.sh\"; tidy \$tidy_options --indent yes --indent-spaces 1"

ul5='<!DOCTYPE html><html><body>
<ul>
  <li>
    <ul>
      <li>
        <ul>
	  <li>
	    <ul>
	      <li>
	        <ul>
		  <li>5</li>
		</ul>
	      </li>
	    </ul>
	  </li>
	</ul>
      </li>
    </ul>
  </li>
</ul>

<ul>
  <li>1</li>
  <li>
    <ul>
      <li>2</li>
      <li>
        <ul>
	  <li>3</li>
	  <li>
	    <ul>
	      <li>4</li>
	      <li>
	        <ul>
		  <li>5</li>
		</ul>
	      </li>
	    </ul>
	  </li>
	</ul>
      </li>
    </ul>
  </li>
</ul>
</body></html>'

show_AST html "$ul5" 1 "$@" &

