#!/bin/bash

# usage: $0 [ PANDOC_OPTIONS ]

source "${BASH_SOURCE%/*}/shared.sh"
# @vim@ filter the current line with our tidy config + indent
# .!sh -c ". \"%:h/../builder/setup_tidy.sh\"; tidy \$tidy_options --indent yes --indent-spaces 1"

show_AST html '<html><body>
<ol id="ID-OL-1" class="CLASS-OL">
 <li>One <a href="#ID-LI-2">Go to two...</a> ...gone
 </li>
 <li id="ID-LI-2">Two
 </li>
</ol>
</body></html>' 1 "$@" &

show_AST html '<html><body>
<ol id="ID-OL-2">
 <li>
  <p>
   PAR1.1: <img alt="IMG-1" src="SRC1">
  </p>
  <p>
   PAR1.2:
  </p>
 </li>
 <li>
  <p>
   PAR2.1
  </p>
 </li>
</ol>
</body></html>' 2 "$@" &

